#include "guardian.h"

Guardian::Guardian(PinName ailpin, PinName modpin, PinName elvpin, PinName rudpin, PinName auxpin, PinName gainpin)
{
    ail=new Servo(ailpin);
    mod=new Servo(modpin);
    elv=new Servo(elvpin);
    /*rud=new Servo(rudpin);
    aux=new Servo(auxpin);
    */
    gain=new Servo(gainpin);
    mod->write(0.5); //set autopilot to off
    ail->write(0.5);
    elv->write(0.5);
    /*rud->write(0.5);
    aux->write(0.00);
    */
    gain->write(1.00);
}

Guardian::~Guardian()
{
    delete ail, mod, elv, rud, aux, gain;
}

void Guardian::set3D() //set autopilot to 3D
{
    mod->write(1.00);
    return;
}

void Guardian::set2D() //set autopilot 2D
{
    mod->write(0.00);
    return;
}

void Guardian::setoff()
{
    mod->write(0.5);
    return;
}

void Guardian::calibrate() //must be done within 15 sec of power on
{
    set2D();
    wait(500);
    set3D();
    wait(500);
    set2D();
    wait(2000);
    //now look for the twitch
    return;
}

void Guardian::setail(float val)
{
    ail->write(val);
    return;
}

void Guardian::setmod(float val)
{
    mod->write(val);
    return;
}

void Guardian::setelv(float val)
{
    elv->write(val);
    return;
}

void Guardian::setrud(float val)
{
    rud->write(val);
    return;
}

void Guardian::setaux(float val)
{
    aux->write(val);
    return;
}