#pragma once
#include "mbed.h"
#define MATH_PI 3.14159265359
#define FREQ_MIN 0.5  //Hz
#define FREQ_MAX 3  //Hz

float sigm(float input);

class PololuMController
{
    private:
    PwmOut* pwm;
    DigitalOut* outA;
    DigitalOut* outB;
    float timestamp;
    
    //for driving
    float phi1, ome1,amp1;
    
    
    public:
    PololuMController();
    PololuMController(PinName pwmport, PinName A, PinName B);
    ~PololuMController();
    void setspeed(float speed);         //0 to 1
    void setpolarspeed(float speed);    //-1 to 1
    void reverse();                     //only works on non-polar speed
    void drive_sinusoidal(float currentTime, float amplitude, float frequency);
    void drive_rectangular(float currentTime, float amplitude, float frequency);
};